Package org.oasis_open.docs.ws_calendar.ns.soap

# Class MultistatusPropElementType

java.lang.Object
org.oasis_open.docs.ws_calendar.ns.soap.MultistatusPropElementType

public class MultistatusPropElementType extends Object
prop element type in propstat

Java class for MultistatusPropElementType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="MultistatusPropElementType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <element name="calendar-data" type="{http://docs.oasis-open.org/ws-calendar/ns/soap}CalendarDataResponseType"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected CalendarDataResponseType`
  `calendarData`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MultistatusPropElementType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CalendarDataResponseType`
  `getCalendarData()`
  Gets the value of the calendarData property.
  `void`
  `setCalendarData(CalendarDataResponseType value)`
  Sets the value of the calendarData property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### calendarData

    protected CalendarDataResponseType calendarData

- ## Constructor Details

  - ### MultistatusPropElementType

    public MultistatusPropElementType()

- ## Method Details

  - ### getCalendarData

    public CalendarDataResponseType getCalendarData()
    Gets the value of the calendarData property.
    Returns:
      possible object is `CalendarDataResponseType`

  - ### setCalendarData

    public void setCalendarData(CalendarDataResponseType value)
    Sets the value of the calendarData property.
    Parameters:
      `value` - allowed object is `CalendarDataResponseType`